<?php // $Id: pay.api.php,v 1.2 2010/11/02 01:13:51 vauxia Exp $

/**
 * @file
 * Hooks provided by the Pay module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * This hook is used to inform Pay of available payment method handlers.
 * Administrators will be able to create new instances of payment methods,
 * based on the capabilities and options for your handler(s).
 */
function hook_pay_method_handler_info() {
  return array(
    'pay_method_custom' => array(
      'title' => t('Custom payment'),
      'description' => t('Manual payment entry, for COD payments, pledges, or manually incrementing a total.'),
      'parent' => 'pay_method',
      'module' => 'example',
    ),
    'pay_method_gateway_pieinthesky' => array(
      'title' => 'Pie in the Sky',
      'description' => t('Payment processing using the Pie in the Sky payment gateway'),
      'parent' => 'pay_method_gateway',
      'module' => 'pieinthesky',
      'path' => drupal_get_path('module', 'pieinthesky') .'/includes',
    ),
  );
}

/**
 * This hook is used to inform Pay of available payment form handlers.
 * A payment form is where an actual payment transaction is initiated (e.g.
 * a donation form, checkout page, etc. It minimally includes an 'amount'
 * field, and probably will provide users with the option to complete the
 * transaction by way of one or more payment methods.
 */
function hook_pay_form_handler_info() {
  return array(
    'pay_custom_form' => array(
      'title' => t('Custom pay form'),
      'description' => t('A custom payment form.'),
      'handler' => 'pay_custom_form',
      'path' => drupal_get_path('module', 'pay_custom') .'/includes'
    ),
  );
}

/**
 * @} End of "addtogroup hooks".
 */

